Debian Bug report logs - #696458
ITP: pd-lyonpotpourri -- a potpourri of objects for working with audio

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Hans-Christoph Steiner <hans@eds.org>

Date: Thu, 20 Dec 2012 23:12:02 UTC

Owned by: "Hans-Christoph Steiner" <hans@eds.org>

Severity: wishlist

Fixed in version pd-lyonpotpourri/2.0+git20121009-1

Done: Hans-Christoph Steiner <hans@eds.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Hans-Christoph Steiner" <hans@eds.org>:
Bug#696458; Package wnpp. (Thu, 20 Dec 2012 23:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hans-Christoph Steiner <hans@eds.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, "Hans-Christoph Steiner" <hans@eds.org>. (Thu, 20 Dec 2012 23:12:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hans-Christoph Steiner <hans@eds.org>
To: submit@bugs.debian.org
Subject: ITP: pd-lyonpotpourri -- a potpourri of objects for working with audio
Date: Thu, 20 Dec 2012 18:10:13 -0500
Package: wnpp
Severity: wishlist
Owner: "Hans-Christoph Steiner" <hans@eds.org>

* Package name    : pd-lyonpotpourri
  Version         : 2.0+git20121009
  Upstream Author : Eric Lyon
* URL             : http://www.somasa.qub.ac.uk/~elyon/LyonSoftware/Pd/
* License         : MIT
  Programming Lang: C
  Description     : a potpourri of objects for synthesizing with audio

 This Pd library is a potpourri of objects for working with audio created by
 Eric Lyon.  Here is a listing of all the included objects:
 .
 - adsr~ a simple ADSR envelope that can be click triggered
 - bashfest~ a click driven buffer player with randomized DSP
 - buffet~ provides operations on a stored buffer
 - bvplay~ selective playback from a stored buffer with enveloping and
   increment control
 - channel~ access to a precise address in the signal vector
 - chopper~ munging loop playback from a buffer
 - clean_selector~ like selector~ but crossfades when switching channels
 - click2float~ translates a signal click to a float message
 - clickhold~ sample and hold a click
 - distortion~ lookup function distortion
 - dmach~ pattern based sample accurate drum machine prototype
 - expflam~ converts a click to an exponential flam click pattern
 - flanjah~ simple flanger
 - granola~ granular pitch scaling
 - granulesf~ granular synthesis module reading from a soundfile in a buffer
 - granule~ granular synthesis module reading from a stored waveform in a buffer
 - impulse~ converts a bang to a click
 - kbuffer~ low sampling rate buffer to capture gestures
 - killdc~ DC block filter
 - magfreq_analysis~ transforms a time domain signal to a magnitude/frequency
   spectrum
 - markov~ implements a first order Markov chain
 - mask~ a click driven pattern sequencer
 - oscil~ oscillator with flexible waveform specification
 - player~ click driven buffer player that can sustain multiple iterations
 - phasemod~ phase modulated waveform
 - pulser~ pulse wave generated by additive synthesis
 - rtrig~ generates random click triggers
 - samm~ sample accurate multiple metronomes, with click signal articulation
 - sigseq~ signal level numerical sequencer
 - stutter~ a basic buffer stuttering player
 - vdb~ a delay line using an MSP buffer for storage (no vector limit on
   feedback delaytime)
 - vdel~ a delay line with built in feedback and oscillator
 - vdp~ a more efficient pointer version of vd~
 - vd~ a simple, self -contained delay unit
 - waveshape~ a Chebychev function lookup waveshaper



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 29 Dec 2012 07:06:03 GMT) Full text and rfc822 format available.

Reply sent to Hans-Christoph Steiner <hans@eds.org>:
You have taken responsibility. (Wed, 03 Apr 2013 19:03:14 GMT) Full text and rfc822 format available.

Notification sent to Hans-Christoph Steiner <hans@eds.org>:
Bug acknowledged by developer. (Wed, 03 Apr 2013 19:03:14 GMT) Full text and rfc822 format available.

Message #12 received at 696458-close@bugs.debian.org (full text, mbox):

From: Hans-Christoph Steiner <hans@eds.org>
To: 696458-close@bugs.debian.org
Subject: Bug#696458: fixed in pd-lyonpotpourri 2.0+git20121009-1
Date: Wed, 03 Apr 2013 19:00:05 +0000
Source: pd-lyonpotpourri
Source-Version: 2.0+git20121009-1

We believe that the bug you reported is fixed in the latest version of
pd-lyonpotpourri, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 696458@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hans-Christoph Steiner <hans@eds.org> (supplier of updated pd-lyonpotpourri package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 20 Dec 2012 18:16:07 -0500
Source: pd-lyonpotpourri
Binary: pd-lyonpotpourri
Architecture: source amd64
Version: 2.0+git20121009-1
Distribution: unstable
Urgency: low
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Changed-By: Hans-Christoph Steiner <hans@eds.org>
Description: 
 pd-lyonpotpourri - potpourri of Pd objects for synthesizing with audio
Closes: 696458
Changes: 
 pd-lyonpotpourri (2.0+git20121009-1) unstable; urgency=low
 .
   * Initial release (Closes: #696458)
Checksums-Sha1: 
 f041491209d1c6b30cfe8234e25e3e05ecf8cb43 2201 pd-lyonpotpourri_2.0+git20121009-1.dsc
 b639dc6749f1bde6bfae0b9b3302c781f79c95d3 1534276 pd-lyonpotpourri_2.0+git20121009.orig.tar.gz
 73caf3b3ce2a77bcd96def14c65e6de464068402 2906 pd-lyonpotpourri_2.0+git20121009-1.debian.tar.gz
 c317d83e705309c5a9683d79cb0a06b72e510c75 1730180 pd-lyonpotpourri_2.0+git20121009-1_amd64.deb
Checksums-Sha256: 
 7037dc5ecfb376ef6fe7f7c7950f238acaac2dd0b04ed9a4516f2e471691ce0d 2201 pd-lyonpotpourri_2.0+git20121009-1.dsc
 04f3bb6e10029b9e43c30dca9026a999c4a54b8a6a013fcd877e78ae94027c04 1534276 pd-lyonpotpourri_2.0+git20121009.orig.tar.gz
 bcdec8c606c9f02f91ceeb11ebe21afdd0547bdf67321dbf0edbdf077160f7ee 2906 pd-lyonpotpourri_2.0+git20121009-1.debian.tar.gz
 1ce32effebeb934c03dc1b95bdfd533851ad711db536a27ec6ed7d17ee1315a7 1730180 pd-lyonpotpourri_2.0+git20121009-1_amd64.deb
Files: 
 65e72ffcd51d8b8d2a17e44bdd12490e 2201 sound optional pd-lyonpotpourri_2.0+git20121009-1.dsc
 8281a12bdc265621ba6f5eab8c365c45 1534276 sound optional pd-lyonpotpourri_2.0+git20121009.orig.tar.gz
 9e2696c69c207c5a3ea412fc990eb062 2906 sound optional pd-lyonpotpourri_2.0+git20121009-1.debian.tar.gz
 c097f066da7b634a1479238878a9df4d 1730180 sound optional pd-lyonpotpourri_2.0+git20121009-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: GPGTools - http://gpgtools.org

iQIcBAEBCAAGBQJQ3figAAoJEJ8P5Yc3S76BqG8P+wTERT5+RU6PuQDiAcJMART+
jKPW/S7d8iLNiNA8n41UMkczc+XizzOdOx3Jra8pZxx3O2ihgIxYdQsgrmEUlgFa
fladtV5VXDWjAPLoSgGYQOIntyOztx6ouPPjR4lA5/R6jmah7ofZy6ZNxpHsLJxW
BXw1Akwog/Uy0LB3GJqff7fG6bynObT1fcz9rFKSKXur+PmFVEjOEcCePBdiSoWE
lamkcUSF0H6DxMSv18GHMCIAJ2IhO4RbqrY13I+YDfj1Aj0+L67cCopXIFjs2Wxh
lfLqwZNbAZruxd/XdILjtpqUWUr6awdsLSTzXVJ4VC61az4ZzW+sEsjX88CCWXME
7dj0hX6LJdewlv/5uByEl7Q63VM+ZEOGQEgmXkFCiOq2nZsq0aJVdQUqxK6iV2z8
0jY3f9IxLnR0BSFLodD+068PsZBcd7+xA5j+GwnyySFU0xzH99n36iagsiIHhFVd
wgULSnl3EDcFKnHhVRzj5pGtKr0zPDdpwykcqrTDGOX+bbbbhtwxP0sAuiL4sRWH
QhUCShUeC0jWLUPGs7qFdSZ7FfIspps/DFFbv8Zfy0GeGJwGx5Xb3AKjrqdD5kLS
QSfiPzQunTMPpCi1tA3ZOXFqEorQr6TXbgl2XRoe5ck10ufmseKy/gwG9u0u+VRz
s7nL5OcUGRbfYX0c+M0L
=avqg
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 02 May 2013 07:30:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 02:02:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.